Retrieve Contract Source Code

Returns the contract source code verification status and source code.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet and Testnet.

🚧

The Monad Mainnet Indexing API is available to Free users. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • address, string - a 42 character address with '0x' as prefix.

Response

  • code, number - response status code, e.g., 0 for success.
  • reason, string - reason message if there's an error.
  • message, string - response message, e.g., OK.
  • result, object - result object containing contract source code and metadata.
    • contractAddress, string - the EVM address of the contract.
    • contractName, string - the name of the contract.
    • abi, string - the ABI (Application Binary Interface) of the contract.
    • creationByteCode, string - the contract's creation bytecode.
    • metadata, object - standard Solidity contract metadata.
    • status, string - current verification status of the contract (e.g., "full", "partial", "unverified").
    • sourceCode, object array - an array of source code files for the contract.
      • content, string - the full source code content of the current file.
      • name, string - the filename of the current source file.
Query Params
string
required
Defaults to 0x18556DA13313f3532c54711497A8FedAC273220E

contract address

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json